import type { Keypair, Transaction, VersionedTransaction } from '@solana/web3.js';
import type { Network, UnsignedTransaction } from '@wormhole-foundation/sdk-connect';
import type { SolanaChains } from './types.js';
export type SolanaTransaction = {
    transaction: Transaction | VersionedTransaction;
    signers?: Keypair[];
};
export declare class SolanaUnsignedTransaction<N extends Network, C extends SolanaChains = SolanaChains> implements UnsignedTransaction {
    readonly transaction: SolanaTransaction;
    readonly network: N;
    readonly chain: C;
    readonly description: string;
    readonly parallelizable: boolean;
    constructor(transaction: SolanaTransaction, network: N, chain: C, description: string, parallelizable?: boolean);
}
export declare function isVersionedTransaction(tx: any): tx is VersionedTransaction;
//# sourceMappingURL=unsignedTransaction.d.ts.map